%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Crypt-Random
%define modv   1.25
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A cryptographically secure, true RNG for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/V/VI/VIPUL/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Vipul Ved Prakash <mail@vipul.net>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Class::Loader) >= 2.00
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Pari) >= 2.001804
BuildRequires: perl(Test)
BuildArch:     noarch


%description
Crypt::Random is an interface module to the random device found on most
modern unix systems. It also interfaces with egd, a user space entropy
gathering daemon, available for systems where /dev/random (or similar)
devices are not available. When Math::Pari is installed, Crypt::Random
can generate random integers of arbritary size of a given bitsize or in
a specified interval.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/makerandom
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Jul 23 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.25-1
- Initial build
